### Parameters

`F : Partial_applicative_S2`

### Signature

`type ('a, 'e) applicative``= ('a, 'e) F.t```
`module Make_creator_types : Make_creator_types`
`val field : ('field, 'e) applicative ‑> ('record, 'field) Core_kernel.Field.t ‑> ('field, _, _, 'e) Make_creator_types.handle_one_field`
`val build_for_record : ('record, _, 'e) Make_creator_types.handle_all_fields ‑> ('record, 'e) applicative`